# $Revision: 1.7 $, $Date: 2008/07/27 22:28:41 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	Accessor-Chained
Summary:	Class::Accessor::Chained - make chained accessors
Summary(pl.UTF-8):	Class::Accessor::Chained - tworzenie łańcuchowych metod accessor
Name:		perl-Class-Accessor-Chained
Version:	0.01
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9825a1f30a70e55e61bb5660b2bd7365
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Accessor
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A chained accessor is one that always returns the object when called
with parameters (to set), and the value of the field when called with
no arguments.

This module subclasses Class::Accessor in order to provide the same
mk_accessors interface.

%description -l pl.UTF-8
Łańcuchowa metoda accessor to taka, która zawsze zwraca obiekt przy
wywołaniu z parametrami (do ustawienia), a wartość pola przy wywołaniu
bez parametrów.

Ten moduł jest podklasą Class::Accessor dla zapewnienia tego samego
interfejsu mk_accessors.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Class/Accessor/*.pm
%{perl_vendorlib}/Class/Accessor/Chained
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Accessor-Chained.spec,v $
Revision 1.7  2008/07/27 22:28:41  arekm
- release 2

Revision 1.6  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.4  2006/08/12 18:00:04  ankry
- formatting

Revision 1.3  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.2  2004/11/02 21:19:48  qboosh
- pl

Revision 1.1  2004/11/01 22:58:25  adamg
- new
